#!/bin/bash
function print_color() {
  local color=$1
  shift
  echo -e "\033[${color}m$@\033[0m"
}

# 检查用户是否为root用户
if [ $(id -u) != 0 ]; then
    echo "\n请使用Root权限执行 !"
    exit 1
fi
cp -f arm64-v8a/libAds.so /data/data/com.tencent.tmgp.pubgmhd/
chmod 755 /data/data/com.tencent.tmgp.pubgmhd/libAds.so*

cp -f injecthook64 /data/data/com.tencent.tmgp.pubgmhd/
chmod 777 /data/data/com.tencent.tmgp.pubgmhd/injecthook64*

# 检查文件是否存在并且权限为755
if [ -f /data/data/com.tencent.tmgp.pubgmhd/libAds.so ] && [ "$(stat -c '%a' /data/data/com.tencent.tmgp.pubgmhd/libAds.so)" = "755" ]; then
    echo "[+] 动态库文件正常"
else
    echo "[-] 动态库文件不正确"
    exit 1
fi

if [ -f /data/data/com.tencent.tmgp.pubgmhd/injecthook64 ] && [ "$(stat -c '%a' /data/data/com.tencent.tmgp.pubgmhd/injecthook64)" = "777" ]; then
    echo "[+] 劫持文件正常"
else
    echo "[-] 劫持文件不正确"
    exit 1
fi
sleep 0.5

am start com.tencent.tmgp.pubgmhd/com.epicgames.ue4.SplashActivity

sleep 5
su -c /data/data/com.tencent.tmgp.pubgmhd/injecthook64 -n com.tencent.tmgp.pubgmhdce -so /data/data/com.tencent.tmgp.pubgmhd/libAds.so